# -*- coding: utf-8 -*-

"""
AWS Services Utilities and Constructs.

This package provides a collection of utilities and constructs for working with
various AWS services. Each submodule corresponds to a specific AWS service
(e.g., s3, iam, etc.) and contains:

1. Utility functions: Helper functions for common operations related to the service
2. Constructs: Class-based abstractions (subclasses of :class:`cdkit.base.BaseConstruct`)
    that encapsulate complex AWS resource management patterns
"""