# -*- coding: utf-8 -*-

"""
AWS service principal enumeration.
"""

class ServicePrincipalEnum:  # pragma: no cover
    """
    List of Service Principal generated by
    `gen_service_principal_enum.py <https://github.com/MacHu-GWU/cdkit-project/blob/main/cdkit/srv/iam/gen_service_principal_enum.py>`_
    """
    a2c = "a2c.amazonaws.com"
    a4b = "a4b.amazonaws.com"
    access_analyzer = "access-analyzer.amazonaws.com"
    account = "account.amazonaws.com"
    acm = "acm.amazonaws.com"
    acm_pca = "acm-pca.amazonaws.com"
    activate = "activate.amazonaws.com"
    aiops = "aiops.amazonaws.com"
    airflow = "airflow.amazonaws.com"
    amplify = "amplify.amazonaws.com"
    amplifybackend = "amplifybackend.amazonaws.com"
    amplifyuibuilder = "amplifyuibuilder.amazonaws.com"
    aoss = "aoss.amazonaws.com"
    apigateway = "apigateway.amazonaws.com"
    app_integrations = "app-integrations.amazonaws.com"
    appconfig = "appconfig.amazonaws.com"
    appfabric = "appfabric.amazonaws.com"
    appflow = "appflow.amazonaws.com"
    application_autoscaling = "application-autoscaling.amazonaws.com"
    application_cost_profiler = "application-cost-profiler.amazonaws.com"
    application_signals = "application-signals.amazonaws.com"
    application_transformation = "application-transformation.amazonaws.com"
    applicationinsights = "applicationinsights.amazonaws.com"
    appmesh = "appmesh.amazonaws.com"
    appmesh_preview = "appmesh-preview.amazonaws.com"
    apprunner = "apprunner.amazonaws.com"
    appstream = "appstream.amazonaws.com"
    appstudio = "appstudio.amazonaws.com"
    appsync = "appsync.amazonaws.com"
    apptest = "apptest.amazonaws.com"
    aps = "aps.amazonaws.com"
    arc_zonal_shift = "arc-zonal-shift.amazonaws.com"
    arsenal = "arsenal.amazonaws.com"
    artifact = "artifact.amazonaws.com"
    athena = "athena.amazonaws.com"
    auditmanager = "auditmanager.amazonaws.com"
    autoscaling = "autoscaling.amazonaws.com"
    autoscaling_plans = "autoscaling-plans.amazonaws.com"
    aws_marketplace = "aws-marketplace.amazonaws.com"
    aws_marketplace_management = "aws-marketplace-management.amazonaws.com"
    aws_portal = "aws-portal.amazonaws.com"
    awsconnector = "awsconnector.amazonaws.com"
    b2bi = "b2bi.amazonaws.com"
    backup = "backup.amazonaws.com"
    backup_gateway = "backup-gateway.amazonaws.com"
    backup_search = "backup-search.amazonaws.com"
    backup_storage = "backup-storage.amazonaws.com"
    batch = "batch.amazonaws.com"
    bcm_data_exports = "bcm-data-exports.amazonaws.com"
    bcm_pricing_calculator = "bcm-pricing-calculator.amazonaws.com"
    bedrock = "bedrock.amazonaws.com"
    billing = "billing.amazonaws.com"
    billingconductor = "billingconductor.amazonaws.com"
    braket = "braket.amazonaws.com"
    budgets = "budgets.amazonaws.com"
    bugbust = "bugbust.amazonaws.com"
    cases = "cases.amazonaws.com"
    cassandra = "cassandra.amazonaws.com"
    ce = "ce.amazonaws.com"
    chatbot = "chatbot.amazonaws.com"
    chime = "chime.amazonaws.com"
    cleanrooms = "cleanrooms.amazonaws.com"
    cleanrooms_ml = "cleanrooms-ml.amazonaws.com"
    cloud9 = "cloud9.amazonaws.com"
    clouddirectory = "clouddirectory.amazonaws.com"
    cloudformation = "cloudformation.amazonaws.com"
    cloudfront = "cloudfront.amazonaws.com"
    cloudfront_keyvaluestore = "cloudfront-keyvaluestore.amazonaws.com"
    cloudhsm = "cloudhsm.amazonaws.com"
    cloudsearch = "cloudsearch.amazonaws.com"
    cloudshell = "cloudshell.amazonaws.com"
    cloudtrail = "cloudtrail.amazonaws.com"
    cloudtrail_data = "cloudtrail-data.amazonaws.com"
    cloudwatch = "cloudwatch.amazonaws.com"
    codeartifact = "codeartifact.amazonaws.com"
    codebuild = "codebuild.amazonaws.com"
    codecatalyst = "codecatalyst.amazonaws.com"
    codecommit = "codecommit.amazonaws.com"
    codeconnections = "codeconnections.amazonaws.com"
    codedeploy = "codedeploy.amazonaws.com"
    codedeploy_commands_secure = "codedeploy-commands-secure.amazonaws.com"
    codeguru = "codeguru.amazonaws.com"
    codeguru_profiler = "codeguru-profiler.amazonaws.com"
    codeguru_reviewer = "codeguru-reviewer.amazonaws.com"
    codeguru_security = "codeguru-security.amazonaws.com"
    codepipeline = "codepipeline.amazonaws.com"
    codestar = "codestar.amazonaws.com"
    codestar_connections = "codestar-connections.amazonaws.com"
    codestar_notifications = "codestar-notifications.amazonaws.com"
    codewhisperer = "codewhisperer.amazonaws.com"
    cognito_identity = "cognito-identity.amazonaws.com"
    cognito_idp = "cognito-idp.amazonaws.com"
    cognito_sync = "cognito-sync.amazonaws.com"
    comprehend = "comprehend.amazonaws.com"
    comprehendmedical = "comprehendmedical.amazonaws.com"
    compute_optimizer = "compute-optimizer.amazonaws.com"
    config = "config.amazonaws.com"
    connect = "connect.amazonaws.com"
    connect_campaigns = "connect-campaigns.amazonaws.com"
    consoleapp = "consoleapp.amazonaws.com"
    consolidatedbilling = "consolidatedbilling.amazonaws.com"
    controlcatalog = "controlcatalog.amazonaws.com"
    controltower = "controltower.amazonaws.com"
    cost_optimization_hub = "cost-optimization-hub.amazonaws.com"
    cur = "cur.amazonaws.com"
    customer_verification = "customer-verification.amazonaws.com"
    databrew = "databrew.amazonaws.com"
    dataexchange = "dataexchange.amazonaws.com"
    datapipeline = "datapipeline.amazonaws.com"
    datasync = "datasync.amazonaws.com"
    datazone = "datazone.amazonaws.com"
    dax = "dax.amazonaws.com"
    dbqms = "dbqms.amazonaws.com"
    deadline = "deadline.amazonaws.com"
    deepcomposer = "deepcomposer.amazonaws.com"
    deepracer = "deepracer.amazonaws.com"
    detective = "detective.amazonaws.com"
    devicefarm = "devicefarm.amazonaws.com"
    devops_guru = "devops-guru.amazonaws.com"
    directconnect = "directconnect.amazonaws.com"
    discovery = "discovery.amazonaws.com"
    dlm = "dlm.amazonaws.com"
    dms = "dms.amazonaws.com"
    docdb_elastic = "docdb-elastic.amazonaws.com"
    drs = "drs.amazonaws.com"
    ds = "ds.amazonaws.com"
    ds_data = "ds-data.amazonaws.com"
    dsql = "dsql.amazonaws.com"
    dynamodb = "dynamodb.amazonaws.com"
    ebs = "ebs.amazonaws.com"
    ec2 = "ec2.amazonaws.com"
    ec2_instance_connect = "ec2-instance-connect.amazonaws.com"
    ec2messages = "ec2messages.amazonaws.com"
    ecr = "ecr.amazonaws.com"
    ecr_public = "ecr-public.amazonaws.com"
    ecs = "ecs.amazonaws.com"
    eks = "eks.amazonaws.com"
    eks_auth = "eks-auth.amazonaws.com"
    elasticache = "elasticache.amazonaws.com"
    elasticbeanstalk = "elasticbeanstalk.amazonaws.com"
    elasticfilesystem = "elasticfilesystem.amazonaws.com"
    elasticloadbalancing = "elasticloadbalancing.amazonaws.com"
    elasticmapreduce = "elasticmapreduce.amazonaws.com"
    elastictranscoder = "elastictranscoder.amazonaws.com"
    elemental_activations = "elemental-activations.amazonaws.com"
    elemental_appliances_software = "elemental-appliances-software.amazonaws.com"
    elemental_support_cases = "elemental-support-cases.amazonaws.com"
    elemental_support_content = "elemental-support-content.amazonaws.com"
    emr_containers = "emr-containers.amazonaws.com"
    emr_serverless = "emr-serverless.amazonaws.com"
    entityresolution = "entityresolution.amazonaws.com"
    es = "es.amazonaws.com"
    events = "events.amazonaws.com"
    evidently = "evidently.amazonaws.com"
    execute_api = "execute-api.amazonaws.com"
    finspace = "finspace.amazonaws.com"
    finspace_api = "finspace-api.amazonaws.com"
    firehose = "firehose.amazonaws.com"
    fis = "fis.amazonaws.com"
    fms = "fms.amazonaws.com"
    forecast = "forecast.amazonaws.com"
    frauddetector = "frauddetector.amazonaws.com"
    freertos = "freertos.amazonaws.com"
    freetier = "freetier.amazonaws.com"
    fsx = "fsx.amazonaws.com"
    gamelift = "gamelift.amazonaws.com"
    gameliftstreams = "gameliftstreams.amazonaws.com"
    geo = "geo.amazonaws.com"
    geo_maps = "geo-maps.amazonaws.com"
    geo_places = "geo-places.amazonaws.com"
    geo_routes = "geo-routes.amazonaws.com"
    glacier = "glacier.amazonaws.com"
    globalaccelerator = "globalaccelerator.amazonaws.com"
    glue = "glue.amazonaws.com"
    grafana = "grafana.amazonaws.com"
    greengrass = "greengrass.amazonaws.com"
    groundstation = "groundstation.amazonaws.com"
    groundtruthlabeling = "groundtruthlabeling.amazonaws.com"
    guardduty = "guardduty.amazonaws.com"
    health = "health.amazonaws.com"
    healthlake = "healthlake.amazonaws.com"
    honeycode = "honeycode.amazonaws.com"
    iam = "iam.amazonaws.com"
    identity_sync = "identity-sync.amazonaws.com"
    identitystore = "identitystore.amazonaws.com"
    identitystore_auth = "identitystore-auth.amazonaws.com"
    imagebuilder = "imagebuilder.amazonaws.com"
    importexport = "importexport.amazonaws.com"
    inspector = "inspector.amazonaws.com"
    inspector2 = "inspector2.amazonaws.com"
    inspector_scan = "inspector-scan.amazonaws.com"
    internetmonitor = "internetmonitor.amazonaws.com"
    invoicing = "invoicing.amazonaws.com"
    iot = "iot.amazonaws.com"
    iot1click = "iot1click.amazonaws.com"
    iot_device_tester = "iot-device-tester.amazonaws.com"
    iotanalytics = "iotanalytics.amazonaws.com"
    iotdeviceadvisor = "iotdeviceadvisor.amazonaws.com"
    iotevents = "iotevents.amazonaws.com"
    iotfleethub = "iotfleethub.amazonaws.com"
    iotfleetwise = "iotfleetwise.amazonaws.com"
    iotjobsdata = "iotjobsdata.amazonaws.com"
    iotmanagedintegrations = "iotmanagedintegrations.amazonaws.com"
    iotsitewise = "iotsitewise.amazonaws.com"
    iottwinmaker = "iottwinmaker.amazonaws.com"
    iotwireless = "iotwireless.amazonaws.com"
    iq = "iq.amazonaws.com"
    iq_permission = "iq-permission.amazonaws.com"
    ivs = "ivs.amazonaws.com"
    ivschat = "ivschat.amazonaws.com"
    kafka = "kafka.amazonaws.com"
    kafka_cluster = "kafka-cluster.amazonaws.com"
    kafkaconnect = "kafkaconnect.amazonaws.com"
    kendra = "kendra.amazonaws.com"
    kendra_ranking = "kendra-ranking.amazonaws.com"
    kinesis = "kinesis.amazonaws.com"
    kinesisanalytics = "kinesisanalytics.amazonaws.com"
    kinesisvideo = "kinesisvideo.amazonaws.com"
    kms = "kms.amazonaws.com"
    lakeformation = "lakeformation.amazonaws.com"
    lambda_ = "lambda.amazonaws.com"
    launchwizard = "launchwizard.amazonaws.com"
    lex = "lex.amazonaws.com"
    license_manager = "license-manager.amazonaws.com"
    license_manager_linux_subscriptions = "license-manager-linux-subscriptions.amazonaws.com"
    license_manager_user_subscriptions = "license-manager-user-subscriptions.amazonaws.com"
    lightsail = "lightsail.amazonaws.com"
    logs = "logs.amazonaws.com"
    lookoutequipment = "lookoutequipment.amazonaws.com"
    lookoutmetrics = "lookoutmetrics.amazonaws.com"
    lookoutvision = "lookoutvision.amazonaws.com"
    m2 = "m2.amazonaws.com"
    machinelearning = "machinelearning.amazonaws.com"
    macie2 = "macie2.amazonaws.com"
    managedblockchain = "managedblockchain.amazonaws.com"
    managedblockchain_query = "managedblockchain-query.amazonaws.com"
    mapcredits = "mapcredits.amazonaws.com"
    marketplacecommerceanalytics = "marketplacecommerceanalytics.amazonaws.com"
    mechanicalturk = "mechanicalturk.amazonaws.com"
    mediaconnect = "mediaconnect.amazonaws.com"
    mediaconvert = "mediaconvert.amazonaws.com"
    mediaimport = "mediaimport.amazonaws.com"
    medialive = "medialive.amazonaws.com"
    mediapackage = "mediapackage.amazonaws.com"
    mediapackage_vod = "mediapackage-vod.amazonaws.com"
    mediapackagev2 = "mediapackagev2.amazonaws.com"
    mediastore = "mediastore.amazonaws.com"
    mediatailor = "mediatailor.amazonaws.com"
    medical_imaging = "medical-imaging.amazonaws.com"
    memorydb = "memorydb.amazonaws.com"
    mgh = "mgh.amazonaws.com"
    mgn = "mgn.amazonaws.com"
    migrationhub_orchestrator = "migrationhub-orchestrator.amazonaws.com"
    migrationhub_strategy = "migrationhub-strategy.amazonaws.com"
    mobileanalytics = "mobileanalytics.amazonaws.com"
    mobiletargeting = "mobiletargeting.amazonaws.com"
    monitron = "monitron.amazonaws.com"
    mq = "mq.amazonaws.com"
    neptune_db = "neptune-db.amazonaws.com"
    neptune_graph = "neptune-graph.amazonaws.com"
    network_firewall = "network-firewall.amazonaws.com"
    networkflowmonitor = "networkflowmonitor.amazonaws.com"
    networkmanager = "networkmanager.amazonaws.com"
    networkmanager_chat = "networkmanager-chat.amazonaws.com"
    networkmonitor = "networkmonitor.amazonaws.com"
    nimble = "nimble.amazonaws.com"
    notifications = "notifications.amazonaws.com"
    notifications_contacts = "notifications-contacts.amazonaws.com"
    oam = "oam.amazonaws.com"
    observabilityadmin = "observabilityadmin.amazonaws.com"
    omics = "omics.amazonaws.com"
    one = "one.amazonaws.com"
    opensearch = "opensearch.amazonaws.com"
    opsworks = "opsworks.amazonaws.com"
    opsworks_cm = "opsworks-cm.amazonaws.com"
    organizations = "organizations.amazonaws.com"
    osis = "osis.amazonaws.com"
    outposts = "outposts.amazonaws.com"
    panorama = "panorama.amazonaws.com"
    partnercentral = "partnercentral.amazonaws.com"
    partnercentral_account_management = "partnercentral-account-management.amazonaws.com"
    payment_cryptography = "payment-cryptography.amazonaws.com"
    payments = "payments.amazonaws.com"
    pca_connector_ad = "pca-connector-ad.amazonaws.com"
    pca_connector_scep = "pca-connector-scep.amazonaws.com"
    pcs = "pcs.amazonaws.com"
    personalize = "personalize.amazonaws.com"
    pi = "pi.amazonaws.com"
    pipes = "pipes.amazonaws.com"
    polly = "polly.amazonaws.com"
    pricing = "pricing.amazonaws.com"
    private_networks = "private-networks.amazonaws.com"
    profile = "profile.amazonaws.com"
    proton = "proton.amazonaws.com"
    purchase_orders = "purchase-orders.amazonaws.com"
    q = "q.amazonaws.com"
    qapps = "qapps.amazonaws.com"
    qbusiness = "qbusiness.amazonaws.com"
    qdeveloper = "qdeveloper.amazonaws.com"
    qldb = "qldb.amazonaws.com"
    quicksight = "quicksight.amazonaws.com"
    ram = "ram.amazonaws.com"
    rbin = "rbin.amazonaws.com"
    rds = "rds.amazonaws.com"
    rds_data = "rds-data.amazonaws.com"
    rds_db = "rds-db.amazonaws.com"
    redshift = "redshift.amazonaws.com"
    redshift_data = "redshift-data.amazonaws.com"
    redshift_serverless = "redshift-serverless.amazonaws.com"
    refactor_spaces = "refactor-spaces.amazonaws.com"
    rekognition = "rekognition.amazonaws.com"
    repostspace = "repostspace.amazonaws.com"
    resiliencehub = "resiliencehub.amazonaws.com"
    resource_explorer = "resource-explorer.amazonaws.com"
    resource_explorer_2 = "resource-explorer-2.amazonaws.com"
    resource_groups = "resource-groups.amazonaws.com"
    rhelkb = "rhelkb.amazonaws.com"
    robomaker = "robomaker.amazonaws.com"
    rolesanywhere = "rolesanywhere.amazonaws.com"
    route53 = "route53.amazonaws.com"
    route53_recovery_cluster = "route53-recovery-cluster.amazonaws.com"
    route53_recovery_control_config = "route53-recovery-control-config.amazonaws.com"
    route53_recovery_readiness = "route53-recovery-readiness.amazonaws.com"
    route53domains = "route53domains.amazonaws.com"
    route53profiles = "route53profiles.amazonaws.com"
    route53resolver = "route53resolver.amazonaws.com"
    rum = "rum.amazonaws.com"
    s3 = "s3.amazonaws.com"
    s3_object_lambda = "s3-object-lambda.amazonaws.com"
    s3_outposts = "s3-outposts.amazonaws.com"
    s3express = "s3express.amazonaws.com"
    s3tables = "s3tables.amazonaws.com"
    sagemaker = "sagemaker.amazonaws.com"
    sagemaker_data_science_assistant = "sagemaker-data-science-assistant.amazonaws.com"
    sagemaker_geospatial = "sagemaker-geospatial.amazonaws.com"
    sagemaker_groundtruth_synthetic = "sagemaker-groundtruth-synthetic.amazonaws.com"
    sagemaker_mlflow = "sagemaker-mlflow.amazonaws.com"
    savingsplans = "savingsplans.amazonaws.com"
    scheduler = "scheduler.amazonaws.com"
    schemas = "schemas.amazonaws.com"
    scn = "scn.amazonaws.com"
    sdb = "sdb.amazonaws.com"
    secretsmanager = "secretsmanager.amazonaws.com"
    security_ir = "security-ir.amazonaws.com"
    securityhub = "securityhub.amazonaws.com"
    securitylake = "securitylake.amazonaws.com"
    serverlessrepo = "serverlessrepo.amazonaws.com"
    servicecatalog = "servicecatalog.amazonaws.com"
    servicediscovery = "servicediscovery.amazonaws.com"
    serviceextract = "serviceextract.amazonaws.com"
    servicequotas = "servicequotas.amazonaws.com"
    ses = "ses.amazonaws.com"
    shield = "shield.amazonaws.com"
    signer = "signer.amazonaws.com"
    signin = "signin.amazonaws.com"
    simspaceweaver = "simspaceweaver.amazonaws.com"
    sms = "sms.amazonaws.com"
    sms_voice = "sms-voice.amazonaws.com"
    snow_device_management = "snow-device-management.amazonaws.com"
    snowball = "snowball.amazonaws.com"
    sns = "sns.amazonaws.com"
    social_messaging = "social-messaging.amazonaws.com"
    sqlworkbench = "sqlworkbench.amazonaws.com"
    sqs = "sqs.amazonaws.com"
    ssm = "ssm.amazonaws.com"
    ssm_contacts = "ssm-contacts.amazonaws.com"
    ssm_guiconnect = "ssm-guiconnect.amazonaws.com"
    ssm_incidents = "ssm-incidents.amazonaws.com"
    ssm_quicksetup = "ssm-quicksetup.amazonaws.com"
    ssm_sap = "ssm-sap.amazonaws.com"
    ssmmessages = "ssmmessages.amazonaws.com"
    sso = "sso.amazonaws.com"
    sso_directory = "sso-directory.amazonaws.com"
    sso_oauth = "sso-oauth.amazonaws.com"
    states = "states.amazonaws.com"
    storagegateway = "storagegateway.amazonaws.com"
    sts = "sts.amazonaws.com"
    support = "support.amazonaws.com"
    supportapp = "supportapp.amazonaws.com"
    supportplans = "supportplans.amazonaws.com"
    supportrecommendations = "supportrecommendations.amazonaws.com"
    sustainability = "sustainability.amazonaws.com"
    swf = "swf.amazonaws.com"
    synthetics = "synthetics.amazonaws.com"
    tag = "tag.amazonaws.com"
    tax = "tax.amazonaws.com"
    textract = "textract.amazonaws.com"
    thinclient = "thinclient.amazonaws.com"
    timestream = "timestream.amazonaws.com"
    timestream_influxdb = "timestream-influxdb.amazonaws.com"
    tiros = "tiros.amazonaws.com"
    tnb = "tnb.amazonaws.com"
    transcribe = "transcribe.amazonaws.com"
    transfer = "transfer.amazonaws.com"
    translate = "translate.amazonaws.com"
    trustedadvisor = "trustedadvisor.amazonaws.com"
    ts = "ts.amazonaws.com"
    user_subscriptions = "user-subscriptions.amazonaws.com"
    vendor_insights = "vendor-insights.amazonaws.com"
    verified_access = "verified-access.amazonaws.com"
    verifiedpermissions = "verifiedpermissions.amazonaws.com"
    voiceid = "voiceid.amazonaws.com"
    vpc_lattice = "vpc-lattice.amazonaws.com"
    vpc_lattice_svcs = "vpc-lattice-svcs.amazonaws.com"
    vpce = "vpce.amazonaws.com"
    waf = "waf.amazonaws.com"
    waf_regional = "waf-regional.amazonaws.com"
    wafv2 = "wafv2.amazonaws.com"
    wam = "wam.amazonaws.com"
    wellarchitected = "wellarchitected.amazonaws.com"
    wickr = "wickr.amazonaws.com"
    wisdom = "wisdom.amazonaws.com"
    workdocs = "workdocs.amazonaws.com"
    worklink = "worklink.amazonaws.com"
    workmail = "workmail.amazonaws.com"
    workmailmessageflow = "workmailmessageflow.amazonaws.com"
    workspaces = "workspaces.amazonaws.com"
    workspaces_web = "workspaces-web.amazonaws.com"
    xray = "xray.amazonaws.com"